Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Class Segment

    java.lang.Object
      com.bbn.openmap.tools.roads.Segment

public class Segment
extends java.lang.Object

Represents one road segment.

Field Summary
`protected java.util.List` | `allTravelPoints`

Constructor Summary
`Segment(java.util.List points)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allTravelPoints

    protected java.util.List allTravelPoints

Constructor Detail

### Segment

    public Segment(java.util.List points)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details